from pydantic import BaseModel


class ExtractArticle(BaseModel):
    class Config:
        schema_extra = {
            "example":
                {'cursor': 1585955990.395409,
                 'url': 'https://www.channelstv.com/2020/03/16/coronavirus-us-china-trade-blames-over-fear-mongering/',
                 'id': '39add5f5e4bcbec1f5f68c9009935f0961f88cf4e46ba198c0df56b01a1d4ec28aabb69f4aa8b47be2e2fa75029728'
                       '731dbc2e75dff3bbdad5de031a8055fae4',
                 'source': 'https://www.channelstv.com',
                 'category_url': 'https://www.channelstv.com/2020/03/16/coronavirus-us-china-trade-blames-over-fear'
                                 '-mongering/',
                 'lang': 'en', 'detected_lang': 'en',
                 'title': 'Coronavirus: US, China Trade Blames Over Fear-Mongering',
                 'text': 'The United States and China on Monday each demanded that the other stop smearing its '
                         'reputation over the novel coronavirus as the pandemic became the latest row between the '
                         'powers.\n\n\nThe clash came on the day that the World Health Organization said more cases '
                         'and deaths had been reported in the rest of the world than in China, where the new '
                         'coronavirus virus was first detected late last year.\n\n\nUS Secretary of State Mike '
                         'Pompeo, in a phone call he initiated with top Chinese official Yang Jiechi, voiced anger '
                         'that Beijing has used official channels “to shift blame for COVID-19 to the United States,'
                         '” the State Department said.\n\n\nPompeo “stressed that this is not the time to spread '
                         'disinformation and outlandish rumors, but rather a time for all nations to come together to '
                         'fight this common threat,” the department added.\n\n\nThe State Department on Friday '
                         'summoned the Chinese ambassador, Cui Tiankai, to denounce Beijing’s promotion of a '
                         'conspiracy theory that had gained wide attention on social media.\n\n\nForeign ministry '
                         'spokesman Zhao Lijian, in tweets last week in both Mandarin and English, suggested that '
                         '“patient zero” in the global pandemic may have come from the United States — not the '
                         'Chinese metropolis of Wuhan.\n\n\n“It might be US army who brought the epidemic to Wuhan. '
                         'Be transparent! Make public your data! US owe us an explanation,” tweeted Zhao, '
                         'who is known for his provocative statements on social media.\n\n\nScientists suspect that '
                         'the virus first came to humans at a meat market in Wuhan that butchered exotic '
                         'animals.\n\n\n‘Stern warning’ to US\n\n\nPompeo himself has sought to link China to the '
                         'global pandemic, repeatedly referring to SARS-CoV-2 as the “Wuhan virus” despite advice '
                         'from health professionals that such geographic labels can be stigmatizing.\n\n\nYang issued '
                         'a “stern warning to the United States that any scheme to smear China will be doomed to '
                         'fail,” the official Xinhua news agency said in its summary of the call with '
                         'Pompeo.\n\n\nThe key Chinese foreign policy leader “noted that some US politicians have '
                         'frequently slandered China and its anti-epidemic efforts and stigmatized the country, '
                         'which has enraged the Chinese people,” Xinhua said.\n\n\n“He urged the US side to '
                         'immediately correct its wrongful behavior and stop making groundless accusations against '
                         'China.”\n\n\nPresident Donald Trump, under fire over his handling of the pandemic, '
                         'and his allies have sought to cast the coronavirus as a disease brought by '
                         'foreigners.\n\n\nRepublican Senator Tom Cotton, a Trump ally, has spoken of the “Chinese '
                         'coronavirus” and in a recent statement vowed, “we will hold accountable those who inflicted '
                         'it on the world.”\n\n\nWhile COVID-19 — the disease caused by the virus — has largely come '
                         'under control in China, it has killed more than 7,000 people around the world and severely '
                         'disrupted daily life in Western countries.\n\n\nThe pandemic comes at a time of '
                         'wide-ranging tensions between the United States and China on issues from trade to human '
                         'rights to Beijing’s military buildup.\n\n\nAFP\n\n\\n',
                 'top_image': 'https://www.channelstv.com/wp-content/uploads/2020/03/Donald-Trump.jpg',
                 'images': ['https://www.channelstv.com/wp-content/uploads/2018/05/Map-of-ekiti-state-180x138.jpg',
                            'https://www.channelstv.com/wp-content/uploads/2020/03/Donald-Trump.jpg',
                            'https://certify.alexametrics.com/atrk.gif?account=rrH8k1a0CM00UH',
                            'https://www.channelstv.com/wp-content/uploads/2020/03/Ibrahim-Oloriegbe-180x138.jpg',
                            'https://www.channelstv.com/wp-content/themes/channels2016/ctv-logo.png',
                            'http://my.therubiqube.com/www/delivery/avw.php?zoneid=57&cb=%%CACHEBUSTER%%&n=a99082dd'
                            '&ct0=%%CLICK_URL_ESC%%',
                            'https://www.channelstv.com/wp-content/uploads/2019/12/Ondo-1-180x138.jpg'], 'movies': [],
                 'authors': ['Channels Television', 'Updated March'], 'summary': '',
                 'publish_date': '2020-04-03 23:19:51.037026+00:00'
                 }
        }
